<div class="modal-dialog">    
  <!-- Modal content-->
  <div class="modal-content">
    <div class="modal-header">
      <h4 class="modal-title">Add Attraction<img style="width: 17px; padding-bottom: 9px;" src='/static/icons/circus.png'/></h4>
      <button type="button" class="close" data-dismiss="modal">&times;</button>  
    </div>
  <div class="modal-body">
    <form  action="/addAttraction/{{activeCountry}}" method="post" role="form">
    {{ attrForm.csrf }}
    <div class="form-group">
      <label for="attractionName">Name:</label>
      <input type="text" class="form-control" id="name" name="name" placeholder="E.g. The Writers' Museum">
      <br>
      <label for="city">City:</label>
      <!--input id="pac-input" class="controls" type="text" placeholder="Search Box"-->
      <div class="btn-group">
        <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
          <span class="caret" id="selectedCity">Choose Location</span>
        </button>
        <br>
           <ul class="dropdown-menu">
            {% for country in countries %}
              {% if country.name == activeCountry %}
                {% for city in country.countryCities %}
                <li>
                <label class="dropdown-menu-item radio">
                  <input type="radio" name="radioValue" value="{{city.name}}"/>
                    {{city.name}}
                </label>
                </li>
                {% endfor %}
              {%endif%}
            {% endfor %}
            <li>
              <button class="btn btn-link dropdown-menu-item">
                Add city
              </button>
            </li>
          </ul>
      </div>
      <br>
      <label for="address">Address:</label> 
      <input type="text" class="form-control" id="address" name="address" placeholder="E.g. Lawnmarket, Lady Stair's Close, Edinburgh EH1 2PA, UK">
      <br>
      <label for="attractionType">Attraction Type:</label>
      <select id="attrType" name="attrType" class="form-control">
        {% for key, value in attrTypeList %}
          <option value="{{key}}"  >
            {{value}}
          </option>
        {% endfor %}
      </select>
      <br>
      <label for="interestLevel">Interest Level (1-5):</label>
      <div class="slidecontainer">
        <input id="rangeAttr" type="range" name="interestLevel" min="0" step="1" max="4" value="2" class="white" onchange="updateAttrTextInput(this.value);">
        <p id="valAttr">Won't be heartbroken if I didn't go</p>
      </div>
      <br>
      <label for="attractionNotes">Notes:</label>
      <br>
      <textarea rows="5" cols="50" name="attractionNotes"></textarea>
    </div>
  <button type="submit" class="btn btn-success">Save</button>
    </form>  
 </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
  </div>
</div>

<script>
function updateAttrTextInput() {
  var value1 = Number(document.getElementById("rangeAttr").value);
  var valAttr = "";
  var interestList = {{ interestLevelList|tojson|safe }};

  document.getElementById('valAttr').innerHTML = interestList[value1];  
};

var radios = $("input:radio");
radios.click(function () {
  radios.removeAttr('checked');
  $(this).prop("checked", true);
  
  document.getElementById('selectedCity').innerHTML = $(this).val();
  return true;
});
</script>